<!-- error.html -->
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Error</title>
</head>
<body>
  <h1>Error</h1>
  <div id="errorMessage" style="color: red;"></div>
  <script>
    // Retrieve and display the error message from the query parameter
    const urlParams = new URLSearchParams(window.location.search);
    const errorMessage = urlParams.get('message');
    const errorMessageDiv = document.getElementById('errorMessage');
    errorMessageDiv.textContent = errorMessage || 'An error occurred.';
  </script>
</body>
</html>
